Bug 1128708 - why portreserve
Summary: why portreserve
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 11:47 UTC by Harald Reindl
Modified: 2014-08-26 16:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-26 16:55:40 UTC


Attachments (Terms of Use)

Description Harald Reindl 2014-08-11 11:47:13 UTC
why in the world does spamassassin pull the "portreserve" package these nobody needs even on machines running postfix, imapd, pop3d, lmtpd, httpd, named and what not for server packages 

for the 1 out of 10000 users a subpackage would be enough
nobody has RPC services on mailservers

[root@testserver:~]$ rpm -q --file /etc/portreserve/spamd
spamassassin-3.4.0-7.fc20.x86_64

[root@testserver:~]$ cat /etc/portreserve/spamd
783

Comment 1 Petr Lautrbach 2014-08-11 11:58:29 UTC
The original reason for using portreserve is discussed in bug #103401. However, I agree that it's probably not really necessary to pull portreserve if it's not installed and I'd propose this spec file change:

diff --git a/spamassassin.spec b/spamassassin.spec
index e70330e..6aeeae4 100644
--- a/spamassassin.spec
+++ b/spamassassin.spec
@@ -44,12 +44,6 @@
 %define require_encode_detect 1
 %endif
 
-%if 0%{?fedora} >= 10
-# We use portreserve to prevent our TCP port being stolen.
-# Require the package here so that we know /etc/portreserve/ exists.
-Requires: portreserve
-%endif
-
 # Mail::DKIM by default (F11+)
 %if 0%{?fedora} >= 11
 %define dkim_deps 1
@@ -282,6 +276,7 @@ install -m 0644 %{SOURCE13} $RPM_BUILD_DIR/Mail-SpamAssassi
 %dir %{_localstatedir}/run/spamassassin
 %dir %{_localstatedir}/lib/spamassassin
 %config(noreplace) %{_sysconfdir}/logrotate.d/sa-update
+%dir %{_sysconfdir}/portreserve/
 %config(noreplace) %{_sysconfdir}/portreserve/spamd
 %if %{use_systemd}
 %{_unitdir}/spamassassin.service

Comment 2 Kevin Fenzi 2014-08-12 15:08:24 UTC
Sure, seems fine to me. You want to just apply it? Or would you like me to?

21/rawhide should be fine.

Comment 3 Petr Lautrbach 2014-08-25 14:18:33 UTC
Kevin, I'd be glad if you do it. Thanks.

Comment 4 Kevin Fenzi 2014-08-26 16:55:40 UTC
Built in rawhide. I'll leave it at that unless we want to push down to stable releases later.


Note You need to log in before you can comment on or make changes to this bug.